﻿using System;
using System.Collections.Generic;

namespace Teachers.Models;

public partial class Teacher
{
    public int Id { get; set; }

    public string? Surname { get; set; }

    public string? Name { get; set; }

    public string? Patronymic { get; set; }

    public int? Gender { get; set; }

    public DateTime? Birthday { get; set; }

    public int? Experience { get; set; }

    public string? Email { get; set; }

    public string? Phone { get; set; }

    public virtual Gender? GenderNavigation { get; set; }

    public virtual ICollection<SubjectsTaught> SubjectsTaughts { get; set; } = new List<SubjectsTaught>();

    public virtual ICollection<TeacherCourse> TeacherCourses { get; set; } = new List<TeacherCourse>();
}
